summaryrefslogtreecommitdiff
path: root/tests/chown/basic.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tests/chown/basic.sh')
-rwxr-xr-xtests/chown/basic.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/tests/chown/basic.sh b/tests/chown/basic.sh
index 3eee15694..e57b9c890 100755
--- a/tests/chown/basic.sh
+++ b/tests/chown/basic.sh
@@ -34,7 +34,7 @@ printf "ownership of 'f' retained as $(id -nu)\n" > exp
compare exp out || fail=1
# Ensure diagnostics work for non existent files.
-chown -v 0 nf > out && fail=1
+returns_ 1 chown -v 0 nf > out || fail=1
printf "failed to change ownership of 'nf' to 0\n" > exp
compare exp out || fail=1